dotfiles VS sshrc

Compare dotfiles vs sshrc and see what are their differences.

dotfiles

My dotfiles, used on archlinux, osx and debian (by BarbUk)

sshrc

Bring your .bashrc, .vimrc, etc. with you when you ssh (by cdown)
InfluxDB - Power Real-Time Data Analytics at Scale
Get real-time insights from all types of time series data with InfluxDB. Ingest, query, and analyze billions of data points in real-time with unbounded cardinality.
www.influxdata.com
featured
SaaSHub - Software Alternatives and Reviews
SaaSHub helps you find the best software and product alternatives
www.saashub.com
featured
dotfiles sshrc
4 3
29 195
- -
8.3 10.0
about 1 month ago over 1 year ago
Shell Shell
- MIT License
The number of mentions indicates the total number of mentions that we've tracked plus the number of user suggested alternatives.
Stars - the number of stars that a project has on GitHub. Growth - month over month growth in stars.
Activity is a relative number indicating how actively a project is being developed. Recent commits have higher weight than older ones.
For example, an activity of 9.0 indicates that a project is amongst the top 10% of the most actively developed projects that we are tracking.

dotfiles

Posts with mentions or reviews of dotfiles. We have used some of these posts to build our list of alternatives and similar projects. The last one was on 2022-03-16.
  • Ask HN: Full-text browser history search forever?
    13 projects | news.ycombinator.com | 16 Mar 2022
    Chromium and Firefox have all your history stored in a sqlite database.

    I have a script to extract the last visited website from chrome for example: https://github.com/BarbUk/dotfiles/blob/master/bin/chrome_hi...

    For firefox, you can use something like:

    sqlite3 ~/.mozilla/firefox/.[dD]efault/places.sqlite "SELECT strftime('%d.%m.%Y %H:%M:%S', visit_date/1000000, 'unixepoch', 'localtime'),url FROM moz_places, moz_historyvisits WHERE moz_places.id = moz_historyvisits.place_id ORDER BY visit_date;"

  • Managing dot files (linux) - home dir with .gitignore whitelist, good or bad?
    4 projects | /r/sysadmin | 18 Oct 2021
    ssh() { case "${1}" in (-h|--help) command ssh -h 2>&1 | grep -v "^unknown" printf -- '%s\n' "Overlay options:" printf -- '\t %s\n' "dotfiles: syncs dotfiles to a remote host" \ "nokeys: Forces password based authentication" \ "raw: Runs ssh in its default, noisy state" return 0 ;; (dotfiles) # Inspired by # https://github.com/cdown/sshrc/blob/master/sshrc # https://github.com/fsquillace/kyrat # https://github.com/BarbUk/dotfiles/blob/master/bin/ssh_connect remote_host="${2:?Remote Host not defined}" for dotfile in .bashrc .exrc .inputrc .pwords.dict .vimrc; do if ! [[ -r ~/"${dotfile}" ]]; then printf -- '%s\n' "Local copy of ${dotfile} missing" >&2 continue fi local_sum=$(cksum ~/"${dotfile}" | awk '{print $1}') remote_sum=$(command ssh -q "${remote_host}" cksum "${dotfile}" 2>/dev/null | awk '{print $1}') if [[ "${local_sum}" = "${remote_sum}" ]]; then printf -- '%s\n' "${remote_host}:~/${dotfile} matches the local version" else printf -- '%s\n' "${remote_host}:~/${dotfile} appears outdated, updating..." scp ~/"${dotfile}" "${remote_host}:" || return 1 fi done ;; (nokeys) command ssh \ -o PubkeyAuthentication=no \ -o StrictHostKeyChecking=no \ -q \ "${@:2}" ;; (raw) command ssh "${@:2}" ;; (*) command ssh -o StrictHostKeyChecking=no -q "${@}" ;; esac }
  • Post your most useful self written command line utilities
    11 projects | /r/archlinux | 17 Jun 2021
    Thanks to /u/abbidabbi for the idea, I have updated my script to handle media role.

sshrc

Posts with mentions or reviews of sshrc. We have used some of these posts to build our list of alternatives and similar projects. The last one was on 2022-11-29.
  • Do yourself a favor: invest time in configuring your shell, tmux, vim, .ssh/config etc...
    5 projects | /r/linuxadmin | 29 Nov 2022
    This sounds a lot like what https://github.com/cdown/sshrc is for
  • Hosting your bash scripts to be accessible from anywhere
    2 projects | /r/bash | 13 Apr 2022
    I use my private fork of this script, that removes a bunch of unnecessary stuff, copies ohmyzsh plugins, sets the proper ZDOTDIR and starts zsh: https://github.com/cdown/sshrc (About 80 of those 100 lines are different for me)
  • Managing dot files (linux) - home dir with .gitignore whitelist, good or bad?
    4 projects | /r/sysadmin | 18 Oct 2021
    ssh() { case "${1}" in (-h|--help) command ssh -h 2>&1 | grep -v "^unknown" printf -- '%s\n' "Overlay options:" printf -- '\t %s\n' "dotfiles: syncs dotfiles to a remote host" \ "nokeys: Forces password based authentication" \ "raw: Runs ssh in its default, noisy state" return 0 ;; (dotfiles) # Inspired by # https://github.com/cdown/sshrc/blob/master/sshrc # https://github.com/fsquillace/kyrat # https://github.com/BarbUk/dotfiles/blob/master/bin/ssh_connect remote_host="${2:?Remote Host not defined}" for dotfile in .bashrc .exrc .inputrc .pwords.dict .vimrc; do if ! [[ -r ~/"${dotfile}" ]]; then printf -- '%s\n' "Local copy of ${dotfile} missing" >&2 continue fi local_sum=$(cksum ~/"${dotfile}" | awk '{print $1}') remote_sum=$(command ssh -q "${remote_host}" cksum "${dotfile}" 2>/dev/null | awk '{print $1}') if [[ "${local_sum}" = "${remote_sum}" ]]; then printf -- '%s\n' "${remote_host}:~/${dotfile} matches the local version" else printf -- '%s\n' "${remote_host}:~/${dotfile} appears outdated, updating..." scp ~/"${dotfile}" "${remote_host}:" || return 1 fi done ;; (nokeys) command ssh \ -o PubkeyAuthentication=no \ -o StrictHostKeyChecking=no \ -q \ "${@:2}" ;; (raw) command ssh "${@:2}" ;; (*) command ssh -o StrictHostKeyChecking=no -q "${@}" ;; esac }

What are some alternatives?

When comparing dotfiles and sshrc you can also consider the following projects:

kyrat - SSH wrapper script that brings your dotfiles always with you on Linux and OSX

dotfiles - :unicorn: My personal dotfiles

config - Common config files they way I like them.

lightshot - A simple screenshot tool i made that is really lightweight

tmux - Git version of tmux (updated hourly from sourceforge CVS)

DownloadNet - 💾 DownloadNet - All content you browse online available offline. Search through the full-text of all pages in your browser history. ⭐️ Star to support our work!

xxh - 🚀 Bring your favorite shell wherever you go through the ssh. Xonsh shell, fish, zsh, osquery and so on.

nyxt - Nyxt - the hacker's browser.

dotfiles - Dotfiles

monolith - ⬛️ CLI tool for saving complete web pages as a single HTML file

yadm - Yet Another Dotfiles Manager